Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class NonOptimizedConstructionTransformer

    java.lang.Object
      org.jboss.aop.instrument.ConstructionTransformer
          org.jboss.aop.instrument.NonOptimizedConstructionTransformer

public class NonOptimizedConstructionTransformer
extends ConstructionTransformer

Comment

Version:
  $Revision$
Author:
  Kabir Khan

Field Summary

Fields inherited from class org.jboss.aop.instrument.ConstructionTransformer
`instrumentor`

Constructor Summary
`NonOptimizedConstructionTransformer(Instrumentor instrumentor)`

Method Summary
`protected void` | `insertInterception(javassist.CtConstructor constructor, int index)`

Methods inherited from class org.jboss.aop.instrument.ConstructionTransformer
`addConstructionInfoField, addConstructionInfoField, addInfoAsWeakReference, constructionInfoFromWeakReference, generateConstructionInfoField, generateNotMatchedConstructionInfoField, getConstructionInfoFieldName, insertConstructionInterception, isAdvisableConstructor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonOptimizedConstructionTransformer

    public NonOptimizedConstructionTransformer(Instrumentor instrumentor)

Method Detail

### insertInterception

    protected void insertInterception(javassist.CtConstructor constructor,
                                      int index)
                               throws Exception

  Specified by:
    `insertInterception` in class `ConstructionTransformer`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.